@import url('https://fonts.googleapis.com/css2?family=Patrick+Hand&family=Poppins');
*{
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    box-sizing: border-box;
    font-family: "Poppins";
    scroll-behavior: smooth;
}
:root{
    --dark: #000002;
    --light-blue: #0f97d6;
    --dark-blue: #0308f4;
    --light: #f8ecee;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 70px;
    padding: 0 20px;
    color: var(--light);
    background: var(--dark);
}
nav a{
    display: flex;
    color:var(--light);
    align-items: center;
    gap: 10px;
}
nav a img{
    height: 50px;
    width: 50px;
    object-fit: contain;
}
nav ul{
    display: flex;
    align-items: center;
    gap: 10px;    
}
nav ul a{
    padding: 10px;
    border-radius: 10px;
    transition: all .2s cubic-bezier(0.075, 0.82, 0.165, 1);
    font-weight: bold;
}
nav ul a:hover{
    background-color: var(--light-blue);
}
main{
    height: calc(100vh - 70px - 50px);
    display: flex;
    align-items: start;
    justify-content: center;
    gap: 20px;
    flex-direction: column;
    color: var(--light);
    background-image: url(images/bg-student-image.png),linear-gradient(to bottom, var(--dark), var(--dark-blue));
    background-repeat: no-repeat;
    background-position-x: right;
    background-position-y: 0px;
    padding: 40px;
    position: relative;
}
main h1{
    font-size: 50px;
    animation: leftto 1.25s cubic-bezier(0.075, 0.82, 0.165, 1);
}
main h3{
    max-width: 600px;
    animation: rightto 1s cubic-bezier(0.075, 0.82, 0.165, 1);
}
main .cta{
    display: flex;
    align-items: center;
    gap: 20px;
}
main .cta a{
    padding: 10px 15px;
    font-weight: bold;
    background: var(--light-blue);
    color: var(--dark);
    border-radius: 10px;
    z-index: 2;
    border: 1px solid transparent;
    animation: bottomto .5s linear;
}
main .cta a:nth-child(2){
    color: var(--light);
    background: var(--dark);
    animation: bottomto .75s linear ;
}
main .cta a:hover{
    color: var(--light);
    background-color: var(--dark-blue);
    border: 1px solid var(--dark);
}
section.about-us{
    padding: 40px 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
section.about-us h2{
    color: var(--dark-blue);
}
section.about-us h3{
    text-align: right;
    padding: 15px 20px;
    border-radius: 30px 5px 5px 30px;
    width: fit-content;
    margin-right: 20px;
    margin-left: auto;
    background-color: var(--dark);
    color: var(--light);
    position: relative;
}
section.about-us h3::before{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    right: -10px;
    z-index: -1;
    border-radius: 30px 5px 5px 30px;
    content: '';
    background-color: var(--light-blue);
}
section.about-us h3::after{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    right: 10px;
    z-index: -2;
    border-radius: 30px;
    content: '';
    background-color: var(--dark-blue);
}
section.about-us .includes{
    display: flex;
    padding: 10px;
    flex-wrap: wrap;
    animation: fade 1s linear;
    animation-timeline: view();
}
section.about-us .includes p{
    padding: 20px;
    background: #0f97d6;
    width: calc(25% - 20px);
    margin: 10px;
    text-align: center;
    font-weight: bold;
    color: var(--dark);
    position: relative;
    border-radius: 0 20px 5px 20px;
}
section.about-us .includes p span{
    position: absolute;
    top: -10px;
    display: flex;
    align-items: center;
    justify-content: center;
    left: -10px;
}
section.about-us .includes p span img{
    width: 40px;
    height: 40px;
}
section.about-us .includes p:nth-child(odd){
    background-color: var(--dark-blue);
    color: var(--light);
}
section.courses{
    padding: 40px 20px;
    background: var(--dark);
    color: var(--light);
}
section.courses h3{
    background-color: var(--light);
    padding: 15px;
    border-radius: 5px 30px 30px 5px;
    margin-right: auto;
    margin-bottom: 10px;
    margin-left: 20px;
    width: fit-content;
    color: var(--light);
    position: relative;
}
section.courses h3::before{
    content: 'Language Based Courses';
    display: flex;
    align-items: center;
    justify-content: center;
    top: -2px;
    right: -2px;
    height: 100%;
    width: 100%;
    border-radius: 5px 30px 30px 5px;
    background-color: var(--dark-blue);
    position: absolute;
    z-index: 1;
}

section.courses .courses-container{
    display: flex;
    padding: 10px;
    flex-wrap: wrap;
}
section.course .courses-container{
    display: flex;
    flex-wrap: wrap;
}
section.courses .courses-container .course{
    width: calc(25% - 20px);
    margin: 10px;
    padding: 20px;
    background-color: var(--light-blue);
    border-radius: 20px;
    display: flex;
    gap: 20px;
}
section.courses .courses-container .course .description{
    display: flex;
    width: 100%;
    flex-direction: column;
    gap: 5px;
}
section.courses .courses-container .course .description p{
    font-weight: bold;
}
section.courses .courses-container .course .description a{
    padding: 5px 10px;
    background-color: var(--dark);
    color: var(--light);
    margin-right: auto;
    border-radius: 10px;
    font-weight: bold;
    text-align: center;
}
section.courses .courses-container .course img{
    width: 50px;
    padding: 20px;
    box-sizing: content-box;
    border-radius: 30px;
    background-color: var(--light);
    display: flex;
    height: 50px;
}
section.courses .explore{
    display: flex;
    justify-content: end;
}
section.courses .explore a{
    text-align: right;
    padding: 15px 20px;
    border-radius: 30px 5px 5px 30px;
    width: fit-content;
    margin-right: 20px;
    margin-left: auto;
    z-index: 1;
    font-weight: bold;
    position: relative;
    background-color: var(--light-blue);
    color: var(--dark);
}
section.courses .explore a::before{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    right: 20px;
    z-index: 1;
    border-radius: 30px;
    content: '';
    background-color: var(--dark-blue);
}
section.courses .explore a::after{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    right: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    border-radius: 30px 5px 5px 30px;
    content: 'Explore All';
    background-color: var(--light);
}
section.courses .seperator{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2px;
    margin: 40px 20px;
    border-radius: 20px;
    background: var(--dark-blue);
}
section.courses .seperator .inside{
    height: 2px;
    width: 100%;
    background-color: var(--light-blue);
}
section.courses h3#domain-based::before{
    content: 'Domain Based Courses';
    background-color: var(--light-blue);
}
section.courses .courses-container.domain-based .course{
    flex-direction: column;
    background-color: var(--dark-blue);
}
section.courses .courses-container.domain-based .course .image{
    background-image: url(images/courses-images/fullstack.png);
    width: 100%;
    height: 200px;
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    background-repeat: no-repeat;
    box-shadow: 1px 3px 5px #222;
}
section.courses .courses-container.domain-based .course a{
    margin-left: auto;
    margin-right: 0px;
}
section.process{
    padding: 40px 20px;
}
section.process h2{
    color: var(--dark-blue);
}
section.process .process-container{
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
}
section.process section{
    display: flex;
    padding: 25px;
    border-radius: 20px 30px 10px 50px;
    background: var(--light-blue);
    color: var(--dark);
    border: 1px solid var(--dark-blue);
    border-left: 4px solid var(--dark-blue);
    border-bottom: 4px solid var(--dark-blue);
    width: calc(50% - 30px);
    margin: 15px;
    flex-direction: column;
    position: relative;
}
section.process section span{
    position: absolute;
    top: -10px;
    width: 40px;
    height: 40px;
    right: -5px;
    display: flex;
    background-color: var(--dark);
    color: var(--light);
    align-items: center;
    justify-content: center;
    border-radius: 40% 20%;
}
section.process section h4{
    margin-bottom: 10px;
    color: var(--light);
}
section.process section p:nth-child(odd){
    margin-bottom: 5px;
}
section.process .process-container section p {
    opacity: 0;
    animation: zoom 1s ease-in-out forwards;
    animation-timeline: view();
}
section.process .process-container section:nth-child(1) p {
    animation-delay: 0.6s;
}
section.process .process-container section:nth-child(2) p {
    animation-delay: 0.12s;
}
section.process .process-container section:nth-child(3) p {
    animation-delay: 0.18s;
}
section.process .process-container section:nth-child(4) p {
    animation-delay: 0.24s;
}
section.process .process-container section:nth-child(5) p {
    animation-delay: 0.3s;
}
section.benefits{
    padding: 40px 20px;
    background: var(--dark-blue);
}
section.benefits h2{
    color: var(--light);
}
section.benefits .container{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    flex-wrap: wrap;
}
section.benefits .container .card{
    margin: 10px;
    padding: 20px;
    width: calc(33.33% - 20px);
    background-color: var(--dark);
    border-radius: 30px;
    color: var(--light);
    font-weight: bold;
    text-align: center;
    border-top: 5px solid var(--light-blue);
    border-left: 5px solid var(--light-blue);
}
section.benefits .container .card p{
    opacity: 0;
    animation: slideInFade 1s ease-in-out forwards;
    animation-timeline:view() ;
}
section.benefits .container .card:nth-child(1) p{
    animation-delay: 0.1s;
}
section.benefits .container .card:nth-child(2) p{
    animation-delay: 0.2s;
}
section.benefits .container .card:nth-child(3) p{
    animation-delay: 0.3s;
}
section.testimonials{
    padding: 40px 20px;
}
section.testimonials h2{
    color: var(--dark-blue);
}
section.testimonials .container{
    display: flex;
    justify-content: start;
    padding: 10px;
    flex-wrap: wrap;
}
section.testimonials .container .card{
    width: calc(33.33% - 40px);
    margin: 20px;
    border: 1px solid var(--dark-blue);
    padding: 20px 15px;
    position: relative;
    background: var(--light);
    border-radius: 25px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
section.testimonials .container .card::before{
    content: '';
    height: 100%;
    width: 100%;
    position: absolute;
    z-index: -1;
    left: 10px;
    top: 10px;
    background-color: var(--dark-blue);
    border-radius: 25px;
}
section.testimonials .container .card::after{
    content: '';
    height: 100%;
    width: 100%;
    position: absolute;
    z-index: -2;
    left: -5px;
    top: -5px;
    background-color: var(--light-blue);
    border-radius: 25px;
}
section.testimonials .container .card #by{
    text-align: right;
    margin-top: 5px;
    color: var(--dark-blue);
}
section.testimonials .container .card i{
    font-family: "Patrick Hand";
    font-style: italic;
    color: var(--dark);
}
section.location{
    padding: 40px 20px;
    background-color: var(--light-blue);
}
section.location h2{
    color: var(--light);
}
section.location .container{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 20px;
}
section.location .container .card{
    display: flex;
    width: 100%;
    align-items: center;
}
section.location .container .card p{
    width: calc(50% - 20px);
    margin: 10px;
    font-weight: bold;
}
section.location .container .card p:nth-child(even){
    text-align: right;
}
section.location .container .card section{
    width: calc(50% - 20px);
    margin: 10px;
    background-color: var(--dark-blue);
    padding-right: 5px;
    border-radius: 20px 40px;
}
section.location .container .card iframe{
    width: 100%;
    height: 200px;
    border-radius: 20px 40px;
    border-left: 5px solid var(--dark-blue);
    border-bottom: 5px solid var(--dark-blue);
}
footer{
    padding: 40px 20px;
}
footer section{
    display: flex;
    align-items: center;
    justify-content: center;
}
footer section:nth-child(1){
    flex-wrap: wrap;
}
footer section:nth-child(3){
    text-align: center;
}
footer section a{
    padding: 10px;
    font-weight: bold;
    color: var(--dark-blue);
}
footer section:nth-child(even){
    display: flex;
    gap: 15px;
}
footer section:nth-child(even) a{
    display: flex;
    align-items: center;
    padding: 10px;
    justify-content: center;
}
footer section:nth-child(even) a img{
    width: 30px;
    height: 30px;
}
footer section:nth-child(3){
    margin-top: 10px;
}
footer section:nth-child(3) a{
    color: var(--dark);
    font-weight: unset;
    padding-left: 4px;
}
footer section:nth-child(3) a:hover{
    color: crimson;
}
section.contact-form{
    padding: 40px 20px;
    display: flex;
    flex-direction: column;
}
section.contact-form h2{
    color: var(--light-blue);
}
section.contact-form form{
    display: flex;
    flex-direction: column;
    padding-top: 20px;
    width: 100%;
    background-image: url(images/contact.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position-x: calc(100% - 60px);
    background-position-y: center ;
}
section.contact-form form label{
    display: flex;
    gap: 10px;
    flex-direction: column;
    align-items: start;
    width: 100%;
    margin: auto;
    max-width: 600px;
    margin-bottom: 20px;
}
section.contact-form form label:nth-last-child(1){
    margin-bottom: 0;
}
section.contact-form form input{
    padding: 15px 20px;
    font-size: 16px;
    width: 100%;
    border-radius: 10px;
    border: 1px solid var(--dark);
    border-bottom:3px solid var(--dark-blue);
    border-right: 2px solid var(--dark-blue);
}
section.contact-form form textarea{
    padding: 15px 20px;
    font-size: 16px;
    width: 100%;
    border-radius: 10px;
    border: 1px solid var(--dark);
    border-bottom:3px solid var(--dark-blue);
    border-right: 2px solid var(--dark-blue);
}
@media (min-width: 650px) {
    nav #menu{
        display: none;
    }    
}
@media (max-width: 650px) {
    nav ul{
        display: none;
    }
    nav #menu{
        display: flex;
        justify-content: center;
        align-items: center;
    }
}
#mobile-nav{
    display: flex;
    flex-direction: column;
    background-color: var(--dark);
    max-height: 0px;
    overflow: hidden;
    transition: max-height .5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
#mobile-nav a{
    padding: 15px 20px;
    border-bottom: 1px solid var(--light-blue);
    font-weight: bold;
    color: var(--light);
}
#mobile-nav a:hover{
    background: var(--light-blue);
}
#mobile-nav.show{
    max-height: 224px;
}
@media (max-width: 880px) {
    main{
        background-blend-mode: overlay;
    }
}
@media (min-width: 880px) {
    main::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: url(images/tick.png) repeat; /* Subtle overlay pattern */
        opacity: 0.05; /* Adjust opacity for subtle effect */
        z-index: 1;
    }
}
@media (max-width: 600px){
    main h1{
        font-size: 40px;
    }
}
@media (max-width: 500px){
    main h1{
        font-size: 35px;
    }
    main{
        padding: 30px;
    }
}
@media (max-width: 450px){
    main h1{
        font-size: 2rem;
    }
}
@media (max-width: 400px) {
    section.about-us h3{
        padding: 15px;
        margin-right: 0px;
    }    
}
@media (max-width: 650px) {
    section.about-us .includes{
        padding: 10px 0;
    }
    section.about-us .includes p{
        width: calc(50% - 20px);
    }
    section.about-us .includes p:nth-child(3){
        background-color: var(--light-blue);
    }
    section.about-us .includes p:nth-child(4){
        background-color: var(--dark-blue);
    }
}
@media (max-width: 1150px) {
    section.courses .courses-container .course{
        width: calc(33.33% - 20px);
    }
}
@media (max-width: 900px) {
    section.courses .courses-container .course{
        width: calc(50% - 20px);
    }
}
@media (max-width: 620px) {
    section.courses .courses-container .course{
        width: calc(100% - 20px);
    }
    section.courses{
        padding: 40px 0;
    }
}
@media (min-width: 850px) {
    section.process section:nth-child(5){
        flex: 1;
    }    
}
@media (max-width: 850px){
    section.process section{
        width: calc(100% - 30px);
    }
}
@media(max-width: 700px){
    section.process section{
        width: calc(100% - 10px);
        margin: 30px 5px;
    }
}
@media(max-width: 600px){
    section.process section{
        width: calc(100% - 0px);
        margin: 20px 0px;
    }
    section.process .process-container{
        padding: 10px 0;
    }
}
@media (max-width: 750px) {
    section.benefits .container .card{
        width: calc(50% - 20px);
    }    
}
@media(max-width: 500px){
    section.benefits .container .card{
        width: calc(100% - 0px);
        margin: 10px 0;
    }    
    section.benefits .container{
        padding: 10px 0;
    }
}
@media (max-width: 850px) {
    section.testimonials .container .card{
        width: calc(50% - 40px);
    }
}
@media (max-width: 650px){
    section.testimonials .container{
        padding: 10px 0;
    }
    section.testimonials .container .card{
        width: calc(100% - 20px);
        margin: 20px 10px;
    }
}
@media(max-width: 600px){
    section.location .container .card p:nth-child(1){
        margin-left: 0;
        width: calc(50% - 10px);
    }
    section.location .container .card section:nth-child(even){
        margin-right: 0;
        width: calc(50% - 10px);
    }
    section.location .container .card section:nth-child(odd){
        margin-left: 0;
        width: calc(50% - 10px);
    }
    section.location .container .card p:nth-child(even){
        margin-right: 0;
        width: calc(50% - 10px);
    }
}
@media (max-width: 1000px) {
    section.contact-form form{
        background-position-x: calc(100% - 30px);
    }    
}
@media (max-width: 900px) {
    section.contact-form form{
        background-position-x: calc(100% - 10px);
    }    
}
@media (max-width: 800px) {
    section.contact-form form{
        background-position-x: calc(100% - 0px);
        background-blend-mode: overlay;
        background-image: url(images/contact.png),linear-gradient(to bottom, rgba(255, 255, 255, 0.7), rgba(255, 255, 255, 0.9));
    }    
}
@keyframes bottomto {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes topto {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes leftto {
    from {
        opacity: 0;
        transform: translateX(-20px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}
@keyframes rightto {
    from {
        opacity: 0;
        transform: translateX(20px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}
@keyframes fade {
    0%{
        opacity: 0;
    }
    20%{
        opacity: 1;
    }
    80%{
        opacity: 1;
    }
    100%{
        opacity: 0;
    }
}
@keyframes slideInFade {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    5%{
        opacity: 1;
        transform: translateY(0)
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes zoom {
    0% {
        opacity: 0;
        transform: scale(.5); /* Start larger */
    }
    5% {
        opacity: 1;
        transform: scale(1); /* Slightly smaller */
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}
a.wp{
    display: flex;
    align-items: center;
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 10;
    justify-content: center;
}
a.wp img{
    width: 60px;
    height: 60px;
    animation: shake-wait 1.5s infinite ease-in-out;
    filter: drop-shadow(0 4px 8px rgba(0, 0, 0, 0.3));
}
@keyframes shake-wait {
    0% {
        transform: translateX(0);
    }
    13% { /* (0.5/1.5)*100 = ~33%, divided among three shakes */
        transform: translateX(-5px);
    }
    20% {
        transform: translateX(5px);
    }
    27% {
        transform: translateX(-5px);
    }
    33% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(0); /* The rest of the animation is a pause */
    }
}